From d53c12962fd7250bea28e03b5a141be73cfce06b Mon Sep 17 00:00:00 2001
From: Arjan Keeman <akeeman@users.noreply.github.com>
Date: Tue, 6 Feb 2024 14:46:13 +0100
Subject: [PATCH] fix compatibility with pytest ^8

diff --git a/setup.cfg b/setup.cfg
index 45d70b3..e8cbfc5 100644
--- a/setup.cfg
+++ b/setup.cfg
@@ -40,5 +40,5 @@ include_package_data = True
 install_requires = 
-	pytest >= 7.0.0,<8
+	pytest >= 7.0.0, !=8.0.0rc1, !=8.0.0rc2
 
 [options.extras_require]
 testing =
diff --git a/tests/markers/test_session_scope.py b/tests/markers/test_session_scope.py
index bd0baee..9049c17 100644
--- a/tests/markers/test_session_scope.py
+++ b/tests/markers/test_session_scope.py
@@ -44,7 +44,9 @@ def test_asyncio_mark_provides_session_scoped_loop_strict_mode(pytester: Pyteste
             """
         ),
     )
-    subpackage_name = "subpkg"
+
+    # subpackage_name must alphabetically come after test_module_one.py
+    subpackage_name = "z_subpkg"
     subpkg = pytester.mkpydir(subpackage_name)
     subpkg.joinpath("test_subpkg.py").write_text(
         dedent(
diff --git a/tests/test_is_async_test.py b/tests/test_is_async_test.py
index 512243b..12e791c 100644
--- a/tests/test_is_async_test.py
+++ b/tests/test_is_async_test.py
@@ -77,8 +77,10 @@ def test_returns_false_for_unmarked_coroutine_item_in_strict_mode(pytester: Pyte
     if pytest.version_tuple < (7, 2):
         # Probably related to https://github.com/pytest-dev/pytest/pull/10012
         result.assert_outcomes(failed=1)
-    else:
+    elif pytest.version_tuple < (8,):
         result.assert_outcomes(skipped=1)
+    else:
+        result.assert_outcomes(failed=1)
 
 
 def test_returns_true_for_unmarked_coroutine_item_in_auto_mode(pytester: Pytester):
